Module java.sql
Package javax.sql

# Class ConnectionEvent

java.lang.Object
java.util.EventObject
javax.sql.ConnectionEvent

All Implemented Interfaces:
  `Serializable`

public class ConnectionEvent extends EventObject

An `Event` object that provides information about the source of a connection-related event. `ConnectionEvent` objects are generated when an application closes a pooled connection and when an error occurs. The `ConnectionEvent` object contains two kinds of information:

- The pooled connection closed by the application
- In the case of an error event, the `SQLException` about to be thrown to the application

Since:
  1.4
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionEvent(PooledConnection con)`
Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object.
`ConnectionEvent(PooledConnection con, SQLException ex)`
Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

## Method Summary

Modifier and Type
Method
Description
`SQLException`
`getSQLException()`
Retrieves the `SQLException` for this `ConnectionEvent` object.

### Methods declared in class java.util.EventObject

`getSource, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectionEvent

public ConnectionEvent(PooledConnection con)

Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object. `SQLException` defaults to `null`.

Parameters:
  `con` - the pooled connection that is the source of the event
Throws:
  `IllegalArgumentException` - if `con` is null.

### ConnectionEvent

public ConnectionEvent(PooledConnection con, SQLException ex)

Constructs a `ConnectionEvent` object initialized with the given `PooledConnection` object and `SQLException` object.

Parameters:
  `con` - the pooled connection that is the source of the event
  `ex` - the SQLException about to be thrown to the application
Throws:
  `IllegalArgumentException` - if `con` is null.

## Method Details

### getSQLException

public SQLException getSQLException()

Retrieves the `SQLException` for this `ConnectionEvent` object. May be `null`.

Returns:
  the SQLException about to be thrown or `null`